# Example configuration for MasqMail
# Copyright (C) 1999 Oliver Kurth
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#

# The name with which MasqMail identifies itself to others:
# CHANGING THIS IS REQUIRED!
host_name="striped.patchwork.net"

# Hosts considered local:
# CHANGING THIS IS REQUIRED!
local_hosts="striped;striped.patchwork.net;localhost"

# Nets considered local, for immediate delivery attempts:
# ALL hosts not included in either local_host or local_nets are
# considered to be 'outside', meaning that messages to them will be queued
# CHANGING THIS IS REQUIRED!
#local_nets="*.patchwork.net;blue;striped"

# accept connections on these interfaces:
# CHANGING THIS IS REQUIRED!
listen_addresses="localhost:25"

# send messages to this port:
# probably this will also be configurable on host basis in future versions.
remote_port=25

# where MasqMail stores its spool files and other stuff:
spool_dir="/var/spool/masqmail"

# where local mail will be written to:
mail_dir="/var/mail"

# use syslogd for logs?
use_syslog=false

# directory for log files:
log_dir="/var/log/masqmail"

# if set, accepted mail will not be delivered immediately but on the next queue run:
do_queue=false

# online detection:
#
# for 'mserver' uncomment next 2 lines and optionally change mserver_iface:
#online_detect = mserver
#mserver_iface = "localhost:222"

# for 'file' uncomment next 2 lines
#online_detect = file
#online_file = "/tmp/connect_route"

#
# example for local delivery to an mda:
#
#mbox_default=mda
#mda="/usr/bin/procmail -Y -d ${rcpt_local}"
# default is false for these:
#mda_fromline=true
#mda_fromhack=true

#
# alias expansion:
#
alias_file = "/etc/aliases"
# default is false:
#alias_local_caseless = true

#
# configuration concerning pipes (after an alias expansion)
#
# default is false for these:
# pipe_fromline=true
# pipe_fromhack=true

# special routes:

# CHANGING THIS IS REQUIRED!
# You can use as many routes (one for each provider) as you like:
connect_route.GWDG = "/etc/masqmail/example.route"

# you can also give a list of routes for a single connection:
#connect_route.foo = "/etc/masqmail/foo.route;/etc/masqmail/bar.route"

# you can also set routes for the local net:
#local_net_route = "/etc/masqmail/local.route;/etc/masqmail/other_lan.route"

# if you use masqmail to get mail, set some 'get' files:
#get.anyname = /etc/masqmail/example.get
